# Default values for bitcoin-daemon.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

net: mainnet

image:
  bitcoin:
    repository: ruimarinho/bitcoin-core
    pullPolicy: IfNotPresent
    tag: 0.19-alpine
  scripts:
    repository: registry.gitlab.com/thorchain/thornode
    pullPolicy: IfNotPresent
    tag: mocknet

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

persistence:
  enabled: false
  size: 10Gi
  accessMode: ReadWriteOnce
  # storageClass: "-"

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name:

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port:
    # p2p: 8333 # mainnet
    # p2p: 18333 # testnet
    p2p: 18444 # regtest
    # rpc: 8332 # mainnet
    # rpc: 18332 # testnet
    rpc: 18443 # regtest

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

nodeSelector: {}

tolerations: []

affinity: {}
